[RESOLU] Domoticz Offline
[RESOLU] Domoticz Offline
Bonjour à tous,
J'ai installé Domoticz à l'instant.
Je l'ai démarrer via http://192.168.1.15:8080 et l'ai mis en français.
J'ai activé les GPIO de mon Rpi avec la commande: sudo nano /etc/init.d/domoticz.sh
J'y ai insérer /usr/bin/gpio export 4 out
Après le reboot du Rpi, je ne peu plus me connecter via http.
La page ne s'ouvre plus et j'ai l'adresse qui se change en http://192.168.1.15:8080/#/Offline
J'ai essayer de supprimer ce que j'ai écris dans le fichier domoticz.sh, mais rien n'y fait.
Si quelqu'un peu m'aider ce serait super cool.
Merci d'avance
La commande sudo service domoticz.sh status
me retourne ça:
● domoticz.service - LSB: Home Automation System
Loaded: loaded (/etc/init.d/domoticz.sh; generated)
Active: failed (Result: exit-code) since Wed 2020-06-17 13:19:21 CEST; 43s ag
Docs: man:systemd-sysv-generator(8)
Process: 444 ExecStart=/etc/init.d/domoticz.sh start (code=exited, status=203/
juin 17 13:19:21 raspberrypi systemd[1]: Starting LSB: Home Automation System...
juin 17 13:19:21 raspberrypi systemd[444]: domoticz.service: Failed to execute c
juin 17 13:19:21 raspberrypi systemd[444]: domoticz.service: Failed at step EXEC
juin 17 13:19:21 raspberrypi systemd[1]: domoticz.service: Control process exite
juin 17 13:19:21 raspberrypi systemd[1]: domoticz.service: Failed with result 'e
juin 17 13:19:21 raspberrypi systemd[1]: Failed to start LSB: Home Automation Sy
J'ai installé Domoticz à l'instant.
Je l'ai démarrer via http://192.168.1.15:8080 et l'ai mis en français.
J'ai activé les GPIO de mon Rpi avec la commande: sudo nano /etc/init.d/domoticz.sh
J'y ai insérer /usr/bin/gpio export 4 out
Après le reboot du Rpi, je ne peu plus me connecter via http.
La page ne s'ouvre plus et j'ai l'adresse qui se change en http://192.168.1.15:8080/#/Offline
J'ai essayer de supprimer ce que j'ai écris dans le fichier domoticz.sh, mais rien n'y fait.
Si quelqu'un peu m'aider ce serait super cool.
Merci d'avance
La commande sudo service domoticz.sh status
me retourne ça:
● domoticz.service - LSB: Home Automation System
Loaded: loaded (/etc/init.d/domoticz.sh; generated)
Active: failed (Result: exit-code) since Wed 2020-06-17 13:19:21 CEST; 43s ag
Docs: man:systemd-sysv-generator(8)
Process: 444 ExecStart=/etc/init.d/domoticz.sh start (code=exited, status=203/
juin 17 13:19:21 raspberrypi systemd[1]: Starting LSB: Home Automation System...
juin 17 13:19:21 raspberrypi systemd[444]: domoticz.service: Failed to execute c
juin 17 13:19:21 raspberrypi systemd[444]: domoticz.service: Failed at step EXEC
juin 17 13:19:21 raspberrypi systemd[1]: domoticz.service: Control process exite
juin 17 13:19:21 raspberrypi systemd[1]: domoticz.service: Failed with result 'e
juin 17 13:19:21 raspberrypi systemd[1]: Failed to start LSB: Home Automation Sy
Dernière modification par yuripa42 le 18 juin 2020, 18:09, modifié 1 fois.
Re: Domoticz Offline
Salut,
Est-ce que la commande suivante résout le pb ?
Est-ce que la commande suivante résout le pb ?
Code : Tout sélectionner
sudo /etc/init.d/domoticz.sh startRe: Domoticz Offline
Salut,
ça me retourne:
ça me retourne:
Code : Tout sélectionner
/etc/init.d/domoticz.sh: 2: /etc/init.d/domoticz.sh: Read: not found
[....] Starting domoticz.sh (via systemctl): domoticz.serviceJob for domoticz.service failed because the control process exited with error code.
See "systemctl status domoticz.service" and "journalctl -xe" for details.
failed!
Re: Domoticz Offline
Que retourne:
systemctl status domoticz.service
Et
journalctl -xe
systemctl status domoticz.service
Et
journalctl -xe
Re: Domoticz Offline
Re, ça me retourne ça:
Je n'y comprend strictement rien...
Code : Tout sélectionner
pi@raspberrypi:~ $ systemctl status domoticz.service
● domoticz.service - LSB: Home Automation System
Loaded: loaded (/etc/init.d/domoticz.sh; generated)
Active: failed (Result: exit-code) since Wed 2020-06-17 13:34:36 CEST; 59min ago
Docs: man:systemd-sysv-generator(8)
Process: 1484 ExecStart=/etc/init.d/domoticz.sh start (code=exited, status=203/EXEC)
juin 17 13:34:35 raspberrypi systemd[1]: Starting LSB: Home Automation System...
juin 17 13:34:35 raspberrypi systemd[1484]: domoticz.service: Failed to execute command: Exec format error
juin 17 13:34:35 raspberrypi systemd[1484]: domoticz.service: Failed at step EXEC spawning /etc/init.d/domoticz.sh: Exec format error
juin 17 13:34:36 raspberrypi systemd[1]: domoticz.service: Control process exited, code=exited, status=203/EXEC
juin 17 13:34:36 raspberrypi systemd[1]: domoticz.service: Failed with result 'exit-code'.
juin 17 13:34:36 raspberrypi systemd[1]: Failed to start LSB: Home Automation System.
Code : Tout sélectionner
pi@raspberrypi:~ $ journalctl -xe
juin 17 13:34:35 raspberrypi systemd[1484]: domoticz.service: Failed to execute command: Exec format error
juin 17 13:34:35 raspberrypi systemd[1484]: domoticz.service: Failed at step EXEC spawning /etc/init.d/domoticz.sh: Exec format error
-- Subject: Le processus /etc/init.d/domoticz.sh n'a pas pu être exécuté
-- Defined-By: systemd
-- Support: https://www.debian.org/support
--
-- Le processus /etc/init.d/domoticz.sh n'a pas pu être exécuté, et a donc échoué.
--
-- Le code d'erreur renvoyé est ERRNO.
juin 17 13:34:36 raspberrypi systemd[1]: domoticz.service: Control process exited, code=exited, status=203/EXEC
-- Subject: Unit process exited
-- Defined-By: systemd
-- Support: https://www.debian.org/support
--
-- An ExecStart= process belonging to unit domoticz.service has exited.
--
-- The process' exit code is 'exited' and its exit status is 203.
juin 17 13:34:36 raspberrypi systemd[1]: domoticz.service: Failed with result 'exit-code'.
-- Subject: Unit failed
-- Defined-By: systemd
-- Support: https://www.debian.org/support
--
-- The unit domoticz.service has entered the 'failed' state with result 'exit-code'.
juin 17 13:34:36 raspberrypi systemd[1]: Failed to start LSB: Home Automation System.
-- Subject: L'unité (unit) domoticz.service a échoué
-- Defined-By: systemd
-- Support: https://www.debian.org/support
--
-- L'unité (unit) domoticz.service a échoué, avec le résultat failed.
juin 17 13:34:36 raspberrypi sudo[1456]: pam_unix(sudo:session): session closed for user root
juin 17 13:34:43 raspberrypi sudo[1488]: pi : TTY=pts/0 ; PWD=/home/pi ; USER=root ; COMMAND=/bin/nano /etc/init.d/domoticz.sh
juin 17 13:34:43 raspberrypi sudo[1488]: pam_unix(sudo:session): session opened for user root by (uid=0)
juin 17 13:36:52 raspberrypi sudo[1488]: pam_unix(sudo:session): session closed for user root
juin 17 13:37:35 raspberrypi sudo[1563]: pi : TTY=pts/0 ; PWD=/home/pi ; USER=root ; COMMAND=/usr/sbin/service domoticz.sh status
juin 17 13:37:35 raspberrypi sudo[1563]: pam_unix(sudo:session): session opened for user root by (uid=0)
juin 17 13:37:35 raspberrypi sudo[1563]: pam_unix(sudo:session): session closed for user root
juin 17 13:40:11 raspberrypi vncserver-x11[452]: Connections: disconnected: 192.168.1.16::53747 (TCP) ([ViewerClosed] VNC Viewer s'est fermé)
juin 17 13:40:11 raspberrypi vncserver-x11[452]: session ended: user root
juin 17 14:17:01 raspberrypi CRON[2189]: pam_unix(cron:session): session opened for user root by (uid=0)
juin 17 14:17:01 raspberrypi CRON[2193]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
juin 17 14:17:01 raspberrypi CRON[2189]: pam_unix(cron:session): session closed for user root
juin 17 14:19:31 raspberrypi rngd[388]: stats: bits received from HRNG source: 80064
juin 17 14:19:31 raspberrypi rngd[388]: stats: bits sent to kernel pool: 34848
juin 17 14:19:31 raspberrypi rngd[388]: stats: entropy added to kernel pool: 34848
juin 17 14:19:31 raspberrypi rngd[388]: stats: FIPS 140-2 successes: 4
juin 17 14:19:31 raspberrypi rngd[388]: stats: FIPS 140-2 failures: 0
juin 17 14:19:31 raspberrypi rngd[388]: stats: FIPS 140-2(2001-10-10) Monobit: 0
juin 17 14:19:31 raspberrypi rngd[388]: stats: FIPS 140-2(2001-10-10) Poker: 0
juin 17 14:19:31 raspberrypi rngd[388]: stats: FIPS 140-2(2001-10-10) Runs: 0
juin 17 14:19:31 raspberrypi rngd[388]: stats: FIPS 140-2(2001-10-10) Long run: 0
juin 17 14:19:31 raspberrypi rngd[388]: stats: FIPS 140-2(2001-10-10) Continuous run: 0
juin 17 14:19:31 raspberrypi rngd[388]: stats: HRNG source speed: (min=467.646; avg=686.198; max=933.884)Kibits/s
juin 17 14:19:31 raspberrypi rngd[388]: stats: FIPS tests speed: (min=5.757; avg=6.608; max=7.112)Mibits/s
juin 17 14:19:31 raspberrypi rngd[388]: stats: Lowest ready-buffers level: 2
juin 17 14:19:31 raspberrypi rngd[388]: stats: Entropy starvations: 0
juin 17 14:19:31 raspberrypi rngd[388]: stats: Time spent starving for entropy: (min=0; avg=0.000; max=0)us
juin 17 14:33:47 raspberrypi vncserver-x11[452]: Connections: connected: 192.168.1.16::54533 (TCP)
juin 17 14:33:47 raspberrypi vncserver-x11[452]: session started: user root permissions f
juin 17 14:33:47 raspberrypi vncserver-x11[452]: Connections: authenticated: 192.168.1.16::54533 (TCP), as root (f permissions)
juin 17 14:33:48 raspberrypi vncserver-x11[452]: SPrintConnMgr: Failed to add printer: server-error-service-unavailable
lines 1919-1978/1978 (END)
Je n'y comprend strictement rien...
Re: Domoticz Offline
Tu peux poster ton domoticz.sh stp
Re: Domoticz Offline
Code : Tout sélectionner
Read more at: https://www.geekland-leblog.fr/controle-des-gpio-dans-domoticz/#! /bin/sh
### BEGIN INIT INFO
# Provides: domoticz
# Required-Start: $network $remote_fs $syslog $time
# Required-Stop: $network $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Home Automation System
# Description: This daemon will start the Domoticz Home Automation System
### END INIT INFO
# Do NOT "set -e"
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
DESC="Domoticz Home Automation System"
NAME=domoticz
USERNAME=pi
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
DAEMON=/home/domoticz/$NAME
DAEMON_ARGS="-daemon"
#DAEMON_ARGS="$DAEMON_ARGS -daemonname $NAME -pidfile $PIDFILE"
DAEMON_ARGS="$DAEMON_ARGS -www 8080"
DAEMON_ARGS="$DAEMON_ARGS -sslwww 443"
#DAEMON_ARGS="$DAEMON_ARGS -log /tmp/domoticz.txt"
#DAEMON_ARGS="$DAEMON_ARGS -syslog"
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
pidof_domoticz() {
# if there is actually a domoticz process whose pid is in PIDFILE,
# print it and return 0.
if [ -e "$PIDFILE" ]; then
if pidof domoticz | tr ' ' '\n' | grep -w $(cat $PIDFILE); then
return 0
fi
fi
return 1
}
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --chuid $USERNAME --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
reload)
log_daemon_msg "Reloading $DESC" "$NAME"
PID=$(pidof_domoticz) || true
if [ "${PID}" ]; then
kill -HUP $PID
log_end_msg 0
else
log_end_msg 1
fi
;;
restart)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|reload}" >&2
exit 3
;;
esac
:
Dernière modification par Keros le 30 déc. 2021, 17:08, modifié 1 fois.
Re: Domoticz Offline
L'exécutable domoticz est bien dans /home/domoticz ?
Chez moi il est dans /home/domoticz/domoticz
Chez moi il est dans /home/domoticz/domoticz
Re: Domoticz Offline
Oui oui, j'ai que le dossier domoticz et pas de sous dossier
Re: Domoticz Offline
J'ai résolu mon problème.
Désinstallation de Domoticz.
Je verrai en refaisant la manip...
Désinstallation de Domoticz.
Je verrai en refaisant la manip...